Summary: Python module to access DMI data
Name: python-dmidecode
Version: 3.12.3
Release: 5%{?dist}
License: GPLv2
URL: https://github.com/nima/python-dmidecode
Source0: %{url}/archive/v%{version}/%{name}/%{name}-%{version}.tar.gz

BuildRequires: make gcc python3-devel
BuildRequires: libxml2-devel libxml2-python3
Patch3000: fix-path-not-found-error.patch

%description 
python-dmidecode is a python extension module that uses the code-base
of the 'dmidecode' utility, and presents the data as python data
structures or as XML data using libxml2. The manufacturer, product 
model, serial number, etc. can be obtained through the dmidecode command.

%package -n python3-dmidecode
Summary: Python 3 module to access DMI data
Requires: libxml2-python3

%description -n python3-dmidecode 
python3-dmidecode is a python extension module that uses the code-base
of the 'dmidecode' utility, and presents the data as python data
structures or as XML data using libxml2.

%prep
%autosetup -p1

%build
export PYTHON_BIN=%{__python3}
export PYTHON_VERSION=%{python3_version}
export CFLAGS="%{build_cflags} -std=gnu89"
export CC=gcc
%make_build

%install
%{__python3} src/setup.py install --root %{buildroot} --prefix=%{_prefix}

%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
export PYTHON_BIN=%{__python3}
make -C unit-tests

%files -n python3-dmidecode
%license doc/LICENSE
%doc README doc/AUTHORS doc/AUTHORS.upstream
%{python3_sitearch}/dmidecodemod.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/__pycache__/dmidecode.cpython-%{python3_version_nodots}*.py[co]
%{python3_sitearch}/dmidecode.py
%{python3_sitearch}/*.egg-info
%{_datadir}/python-dmidecode/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.3-5
- Rebuilt for python 3.11

* Fri Sep 15 2023 jackeyji <jackeyji@tencent.com> - 3.12.3-4
- adapt for python3.11

* Wed Sep 13 2023 jackeyji <jackeyji@tencent.com> - 3.12.3-3
- Fix path not found error

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Yi Lin <nilusyi@tencent.com> - 3.12.3-1
- upgrade to 3.12.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 Wang Zhe <bessiewang@tencent.com> - 3.12.2-1
- initial build
